
@media screen and (max-width: 1024px) {

.menu a {
  font-size: 14px;
 }

.menu-icon {
  top: 10px;
}

.item {
  width: 100%;
  flex-direction: column;
  padding: 1rem;
}

.headings {
  margin-bottom: 10px;
}

.heading {
  font-size: 18px;
  line-height: 1.2em;
  margin-bottom: 5px;
}

.info {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.arrow img {
  width: 50%;
  margin-bottom: 0.5rem;
  transform: rotate(90deg);
}

.product-name {
  font-size: 30px;
  background-color: #005bac;
  border-radius: 50px;
  width: 400px;
  padding: 20px 40px;
}

.product-image {
  display: block;
  width: 100%;
  margin: 0px 20px;
  padding: 10px;
  object-fit: cover;
  transition: all 0.3s ease;
}

.product-container {
  width: 100%;
  padding: 30px 50px;
}

.product-container-line {
  width: 100%;
  margin: 50px 0px 20px 0px;
  border-bottom: solid 2px #bbb;
}

.product-container-name {
  font-size: 30px;
  font-weight: bold;
  margin: 10px 0px;
  color: #fff;
}

.catch-copy {
  width: 100%;
  font-size: 24px!important;
  margin: 20px 0px;
  color: #ff0000;
}

.product-image-large {
  width: 70%;
  margin-bottom: 20px;
}

.description {
  width: 100%;
  line-height: 1.6;
  margin-bottom: 30px;
  text-align: left;
}

.description p {
  width: 100%;
  font-size: 20px;
}

.product-text {
  width: 100%;
  display: flex;
  flex-direction: column;
}

.product-text-box {
  flex: 1;
  margin: 0px 10px;
}

.product-text h3 {
  font-size: 18px;
  margin-top: 30px;
  margin-bottom: 10px;
  color: #fff;
  background-color: #132a88;
  padding: 10px;
  text-align: center;
}

.product-text p {
  font-size: 14px;
  margin-bottom: 20px;
  text-align: left;
}

.recommend-box {
  width: 100%;
  border: 2px solid #132a88;
  padding: 15px;
  margin: 30px 0px;
  align-items: center;
}

.recommend-header {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}


.recommend-box-point {
  color: #fff;
  font-weight: bold;
  font-size: 24px;
  margin: 0;
  text-align: center;
  flex: none;
}

.staff-icon {
  margin: 0px;
}

.recommend-box p {
  width: 100%;
  color: #fff;
  font-size: 14px;
  text-align: left;
  margin-left: 10px;
}

.product-link {
  display: inline-block;
  width: 200px;
  margin: 20px 50px;
  vertical-align: top;
}

.product-image-small {
  width: 400px;
  height: auto;
  margin-top: 20px;
  border-radius: 6px;
}

.product-link-button {
  width: 100%;
  display: inline-block;
  margin: 20px 10px;
  padding: 12px 24px;
  background-color: #005bac;
  color: #fff;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
  transition: background-color 0.3s ease;
}

.product-image-tech {
  width: 350px;
  height: 350px;
  object-fit: cover;
  border-radius: 50%;
  display: block; 
}

.history-block,
.history-block.reverse {
  flex-direction: column;
}

.history-image img {
  width: 100%;
}


.product-container-related {
  width: 90%;
}

.related-text-top,
.related-text-bottom {
  gap: 10px;
}

.related-text-top .related-text-box,
.related-text-bottom .related-text-box {
  width: 100%;
  max-width: 280px;
}

.related-text p {
  font-size: 12px;
  margin: 0px;
  inline-heigth: 0.8em;
  letter-spacing: -0.5px; 
}

.product-image-related {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: 50%;
}

}

@media screen and (max-width: 768px) {

.menu-icon {
  position: fixed;
  top: 25px;
  right: 10px;
  width: 60px;
  height: 50px;
  z-index: 1000;
}

.menu {
  width: 200px;
  padding-top: 40px;
}

.menu a {
  font-size: 12px;
}

.product-name {
  font-size: 20px;
  width: 70%;
  padding: 15px 20px;
  margin-bottom: 10px;
  border-radius: 30px;
}

.headings {
  margin-bottom: 10px;
}

.heading {
  font-size: 18px;
  line-height: 1.2em;
  margin-bottom: 5px;
}

.arrow img {
  width: 60%;
  transform: rotate(90deg);
  margin-bottom: 0.5rem;
}

.product-image {
  width: 100%;
  margin: 0;
  padding: 5px;
}

.product-image-tech {
  width: 250px;
  height: 250px;
  margin: 20px auto;
}

.product-text {
  flex-direction: column;
  width: 100%;
}

.product-text-box {
  margin: 20px 0;
  text-align: center;
  align-items: center;
}

.product-text h3 {
  font-size: 16px;
  padding: 8px;
  margin-top: 20px;
}

.product-text p {
  font-size: 13px;
  padding: 0 10px;
  text-align: left;
}

.catch-copy {
  font-size: 18px !important;
  margin: 15px 0;
}

.product-image-large {
  width: 100%;
  margin-bottom: 15px;
}

.description p {
  font-size: 16px;
  padding: 0 10px;
}

.recommend-box {
  padding: 10px;
  margin: 20px 0;
}

.recommend-header {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.staff-icon {
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  margin-top: 10px;
}

.recommend-box-point {
  font-size: 24px;
  margin-bottom: 10px;
}

.recommend-box p {
  font-size: 14px;
  margin-left: 0;
  padding: 0 10px;
}

.related-text p {
  font-size: 16px;
  margin: 0px;
  inline-heigth: 0.8em;
}

.related-text-box {
  width: 100%;
  max-width: 700px;
  text-align: center;
  margin: 20px 10px;
}

.related-text-top {
  flex-direction: column;
  align-items: center;
}

.related-text-bottom {
  grid-template-columns: 1fr;
}

.related-text-top .related-text-box,
.related-text-bottom .related-text-box {
  width: 100%;
  max-width: 700px;
}
}


@media screen and (max-width: 480px) {

.menu-icon {
  position: fixed;
  top: 20px;
  right: 10px;
  width: 40px;
  height: 50px;
  z-index: 1000;
}

.menu {
  width: 180px;
  padding-top: 40px;
}

.menu a {
  font-size: 10px;
}

.featured h2 {
  letter-spacing: 5px;
  font-size: 30px;
  font-weight: bold;
}


.product-name {
  font-size: 20px;
  width: 100%;
  padding: 15px 20px;
  margin-bottom: 10px;
  border-radius: 30px;
}

.heading {
  width: 100%;
  max-width: 400px;
  font-size: 16px;
  line-height: 1.2em;
  margin-bottom: 5px;
}

.arrow img {
  width: 60%;
  transform: rotate(90deg);
  margin-bottom: 0.5rem;
}

.product-image {
  width: 100%;
  margin: 0;
  padding: 5px;
}

.product-image-tech {
  width: 250px;
  height: 250px;
  margin: 10px auto;
}

.product-text {
  flex-direction: column;
  width: 100%;
}

.product-text-box {
  margin: 20px 0;
  text-align: center;
  align-items: center;
}

.product-text-heading {
  font-size: 16px;
  padding: 8px;
  margin-top: 20px;
}

.product-text p {
  font-size: 13px;
  padding: 0 10px;
  text-align: left;
}

.catch-copy {
  font-size: 18px !important;
  margin: 15px 0;
}

.product-image-large {
  width: 100%;
  margin-bottom: 15px;
}

.description p {
  font-size: 16px;
  padding: 0 10px;
}

.recommend-box {
  padding: 10px;
  margin: 20px 0;
}

.staff-icon {
  display: block;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  object-fit: cover;
  margin: 0;
}

.recommend-box-point {
  font-size: 18px;
  line-height: 0;
  padding-top: 10px;
  line-height: 1;
}

.recommend-box p {
  font-size: 13px;
  margin-left: 0;
  padding: 0 10px;
}

.product-link {
  width: 100%;
  margin: 10px 0;
}

.product-image-small {
  width: 100%;
}

.product-link-button {
  width: 90%;
  margin: 10px auto;
  font-size: 14px;
  padding: 10px 20px;
}

.related-text-box {
  max-width: 95%;
  margin: 10px auto;
}

.history-text p {
  font-size: 14px;
  letter-spacing: -0.2px;
}

.popup-button {
  width: 120px;
  height: 120px;
}

.popup-button img {
  width: 100%;
  height: 55%;
  object-fit: cover;
  border-bottom: 1px solid #ccc;
  display: block;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  overflow: hidden;
  filter: brightness(130%) contrast(70%) opacity(90%);
}

.popup-button p {
  display: block;
  padding: 5px;
  font-size: 10px;
  font-weight: bold;
  color: #5f2f92;
  background: #b9abc7;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  line-height: 1.2em;
  margin-top: 0;  
}

.popup-button span {
  display: block;
  font-size: 24px;
  line-height: 0.9em;
  transform: scaleY(0.8);
}
}
